package com.kaixed.kchat.viewmodel

import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import com.kaixed.kchat.model.search.SearchFriends
import com.kaixed.kchat.repository.SearchFriendsRepository

/**
 * @Author: kaixed
 * @Date: 2024/9/22 23:04
 * @Description: TODO
 */
class SearchFriendsViewModel : ViewModel() {
    private var searchFriendsRepo: SearchFriendsRepository = SearchFriendsRepository()

    fun searchFriends(username: String): MutableLiveData<SearchFriends>? {
        return searchFriendsRepo.searchFriends(username)
    }
}